unit schBase_Intf;

interface

uses
  uDADataTable, Windows;

type
  { TIntfObjectDADataTableRules }
  TIntfObjectDADataTableRules = class(TDADataTableRules)
  protected
    function _AddRef: Integer; override;
    function _Release: Integer; override;
  end;

implementation

 { TIntfObjectDADataTableRules }
 
function TIntfObjectDADataTableRules._AddRef: Integer;
begin
  Result := InterlockedIncrement(FRefCount);
end;

function TIntfObjectDADataTableRules._Release: Integer;
begin
  Result := InterlockedDecrement(FRefCount);
  if Result = 0 then
    Destroy;
end;

end.
